# Akamai\Open\EdgeGrid\Authentication::parseEdgeRcFile

#### Parse a .edgerc File

## Signature

`protected function parseEdgeRcFile( $path )`

## Parameters

`$path` —

## Returns

array

## Errors/Exceptions

`Exception`

## Test Coverage

### Information

- Coverage: 14/14 Lines (100%)
- Tests: 17
- Passed: 17 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testCreateFromEdgeRcDefault with data set #0
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testCreateFromEdgeRcDefault with data set #1
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testCreateFromEdgeRcDefault with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testCreateFromEdgeRcDefault with data set #3
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testCreateFromEdgeRcUseCwd
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testCreateFromEdgeRcNonExistant
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testCreateFromEdgeRcNonReadable
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testCreateFromEdgeRcColons
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testCreateFromEdgeRcColonsWithSpaces
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRc with data set #0
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRc with data set #1
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRc with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRc with data set #3
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRcDefault with data set #0
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRcDefault with data set #1
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRcDefault with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRcDefault with data set #3